package kr.co.i4way.genesys.stat;

import java.util.ArrayList;
import java.util.Collection;

import com.genesyslab.platform.applicationblocks.com.objects.CfgAgentGroup;
import com.genesyslab.platform.applicationblocks.com.objects.CfgDN;
import com.genesyslab.platform.applicationblocks.com.objects.CfgDNGroup;
import com.genesyslab.platform.applicationblocks.com.objects.CfgPerson;
import com.genesyslab.platform.applicationblocks.com.objects.CfgPlaceGroup;

public class WallBoardVo {

	private String center_gbn;
	private int all_tenant_dbid;
	private String cfg_ip_p;
	private String cfg_ip_b;
	private int cfg_port_p;
	private int cfg_port_b;
	private String cfg_endpoint_p;
	private String cfg_endpoint_b;
	private String cfg_client_name;
	private String cfg_tenant_name;
	private String cfg_id;
	private String cfg_passwd;

	private String stat_ip_p;
	private String stat_ip_b;
	private int stat_port_p;
	private int stat_port_b;
	private String stat_endpoint_p;
	private String stat_endpoint_b;
	private String stat_client_name;
	private String stat_tenant_name;
	private String stat_charset;
	
	private int stat_frequency;
	private int stat_last_ref_id;
	private String stat_switch_name;
	
	private int agent_group_dbid;
	private ArrayList<CfgAgentGroup> agent_group_list;
	private ArrayList<CfgDNGroup> queue_group_list;
	private ArrayList<CfgPlaceGroup> place_group_list; 
	private ArrayList<CfgDN> rout_point_list;
	private CfgPerson current_person;
	private ArrayList<CfgPerson> person_list;
	private ArrayList<StatModel> statModelList;
	
	public String getCfg_ip_p() {
		return cfg_ip_p;
	}
	public void setCfg_ip_p(String cfg_ip_p) {
		this.cfg_ip_p = cfg_ip_p;
	}
	public String getCfg_ip_b() {
		return cfg_ip_b;
	}
	public void setCfg_ip_b(String cfg_ip_b) {
		this.cfg_ip_b = cfg_ip_b;
	}
	public int getCfg_port_p() {
		return cfg_port_p;
	}
	public void setCfg_port_p(int cfg_port_p) {
		this.cfg_port_p = cfg_port_p;
	}
	public int getCfg_port_b() {
		return cfg_port_b;
	}
	public void setCfg_port_b(int cfg_port_b) {
		this.cfg_port_b = cfg_port_b;
	}
	public String getCfg_endpoint_p() {
		return cfg_endpoint_p;
	}
	public void setCfg_endpoint_p(String cfg_endpoint_p) {
		this.cfg_endpoint_p = cfg_endpoint_p;
	}
	public String getCfg_endpoint_b() {
		return cfg_endpoint_b;
	}
	public void setCfg_endpoint_b(String cfg_endpoint_b) {
		this.cfg_endpoint_b = cfg_endpoint_b;
	}
	public String getCfg_client_name() {
		return cfg_client_name;
	}
	public void setCfg_client_name(String cfg_client_name) {
		this.cfg_client_name = cfg_client_name;
	}
	public String getCfg_tenant_name() {
		return cfg_tenant_name;
	}
	public void setCfg_tenant_name(String cfg_tenant_name) {
		this.cfg_tenant_name = cfg_tenant_name;
	}
	public String getCfg_id() {
		return cfg_id;
	}
	public void setCfg_id(String cfg_id) {
		this.cfg_id = cfg_id;
	}
	public String getCfg_passwd() {
		return cfg_passwd;
	}
	public void setCfg_passwd(String cfg_passwd) {
		this.cfg_passwd = cfg_passwd;
	}
	public String getStat_ip_p() {
		return stat_ip_p;
	}
	public void setStat_ip_p(String stat_ip_p) {
		this.stat_ip_p = stat_ip_p;
	}
	public String getStat_ip_b() {
		return stat_ip_b;
	}
	public void setStat_ip_b(String stat_ip_b) {
		this.stat_ip_b = stat_ip_b;
	}
	public int getStat_port_p() {
		return stat_port_p;
	}
	public void setStat_port_p(int stat_port_p) {
		this.stat_port_p = stat_port_p;
	}
	public int getStat_port_b() {
		return stat_port_b;
	}
	public void setStat_port_b(int stat_port_b) {
		this.stat_port_b = stat_port_b;
	}
	public String getStat_endpoint_p() {
		return stat_endpoint_p;
	}
	public void setStat_endpoint_p(String stat_endpoint_p) {
		this.stat_endpoint_p = stat_endpoint_p;
	}
	public String getStat_endpoint_b() {
		return stat_endpoint_b;
	}
	public void setStat_endpoint_b(String stat_endpoint_b) {
		this.stat_endpoint_b = stat_endpoint_b;
	}
	public String getStat_client_name() {
		return stat_client_name;
	}
	public void setStat_client_name(String stat_client_name) {
		this.stat_client_name = stat_client_name;
	}
	public String getStat_tenant_name() {
		return stat_tenant_name;
	}
	public void setStat_tenant_name(String stat_tenant_name) {
		this.stat_tenant_name = stat_tenant_name;
	}
	public String getStat_charset() {
		return stat_charset;
	}
	public void setStat_charset(String stat_charset) {
		this.stat_charset = stat_charset;
	}
	public int getStat_frequency() {
		return stat_frequency;
	}
	public void setStat_frequency(int stat_frequency) {
		this.stat_frequency = stat_frequency;
	}
	public int getStat_last_ref_id() {
		return stat_last_ref_id;
	}
	public void setStat_last_ref_id(int stat_last_ref_id) {
		this.stat_last_ref_id = stat_last_ref_id;
	}
	public String getStat_switch_name() {
		return stat_switch_name;
	}
	public void setStat_switch_name(String stat_switch_name) {
		this.stat_switch_name = stat_switch_name;
	}
	public int getAll_tenant_dbid() {
		return all_tenant_dbid;
	}
	public void setAll_tenant_dbid(int all_tenant_dbid) {
		this.all_tenant_dbid = all_tenant_dbid;
	}
	public ArrayList<StatModel> getStatModelList() {
		return statModelList;
	}
	public void setStatModelList(ArrayList<StatModel> statModelList) {
		this.statModelList = statModelList;
	}
	public ArrayList<CfgAgentGroup> getAgent_group_list() {
		return agent_group_list;
	}
	public void setAgent_group_list(ArrayList<CfgAgentGroup> agent_group_list) {
		this.agent_group_list = agent_group_list;
	}
	public ArrayList<CfgDNGroup> getQueue_group_list() {
		return queue_group_list;
	}
	public void setQueue_group_list(ArrayList<CfgDNGroup> queue_group_list) {
		this.queue_group_list = queue_group_list;
	}
	public ArrayList<CfgPlaceGroup> getPlace_group_list() {
		return place_group_list;
	}
	public void setPlace_group_list(ArrayList<CfgPlaceGroup> place_group_list) {
		this.place_group_list = place_group_list;
	}
	public ArrayList<CfgDN> getRout_point_list() {
		return rout_point_list;
	}
	public void setRout_point_list(ArrayList<CfgDN> rout_point_list) {
		this.rout_point_list = rout_point_list;
	}
	public ArrayList<CfgPerson> getPerson_list() {
		return person_list;
	}
	public void setPerson_list(ArrayList<CfgPerson> person_list) {
		this.person_list = person_list;
	}
	public CfgPerson getCurrent_person() {
		return current_person;
	}
	public void setCurrent_person(CfgPerson current_person) {
		this.current_person = current_person;
	}
	public int getAgent_group_dbid() {
		return agent_group_dbid;
	}
	public void setAgent_group_dbid(int agent_group_dbid) {
		this.agent_group_dbid = agent_group_dbid;
	}
	public String getCenter_gbn() {
		return center_gbn;
	}
	public void setCenter_gbn(String center_gbn) {
		this.center_gbn = center_gbn;
	}
}
